# ps_setcolor

(PECL ps >= 1.1.0)

ps_setcolor — Sets current color

### Description

ps_setcolor ( resource `$psdoc` , string `$type` , string `$colorspace` , float `$c1` , float `$c2` , float `$c3` , float `$c4` ) : bool

Sets the color for drawing, filling, or both.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`type`

  The parameter `type` can be both, fill, or fillstroke.

`colorspace`

  The colorspace should be one of gray, rgb, cmyk, spot, pattern. Depending on the colorspace either only the first, the first three or all parameters will be used.

`c1`

  Depending on the colorspace this is either the red component (rgb), the cyan component (cmyk), the gray value (gray), the identifier of the spot color or the identifier of the pattern.

`c2`

  Depending on the colorspace this is either the green component (rgb), the magenta component (cmyk).

`c3`

  Depending on the colorspace this is either the blue component (rgb), the yellow component (cmyk).

`c4`

  This must only be set in cmyk colorspace and specifies the black component.

### Bugs

The second parameter is currently not always evaluated. The color is sometimes set for filling and drawing just as if fillstroke were passed.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.